.cart-page {
  margin-top: 40px;
  padding-top: 40px;
}

.cart-page h1 {
  font-size: 26px;
}

.woocommerce.ywraq-wrapper {
  margin-top: 50px;
  margin-bottom: 100px;
}

.woocommerce.ywraq-wrapper table {
  width: 100%;
  text-align: unset;
  border: 1px solid var(--bordercolor);
  overflow: hidden;
}

.woocommerce.ywraq-wrapper table thead {
  background-color: #eff0f4;
}

.woocommerce.ywraq-wrapper table tbody {
  background-color: var(--whitecolor);
}

.woocommerce.ywraq-wrapper table tbody tr td {
  padding: 12px 20px !important;
}

.woocommerce.ywraq-wrapper table tbody tr td.product-thumbnail a img {
  width: 115px;
}

.woocommerce.ywraq-wrapper table tbody tr td.product-name a,
.woocommerce.ywraq-wrapper table tbody tr td.product-code,
.woocommerce.ywraq-wrapper table tbody tr td.product-name {
  font-family: var(--fontGraphikMD);
  font-size: 14px;
  line-height: 22px;
  color: var(--headingcolor);
  margin: 0;
}

.woocommerce.ywraq-wrapper table tbody tr td.product-name a {
  display: block;
  width: 100%;
  max-width: 55ch;
}

.woocommerce.ywraq-wrapper table tbody tr td.product-name ul li {
  color: #999;
}

.woocommerce.ywraq-wrapper table tbody tr td.product-name ul {
  margin-top: 10px;
  padding-left: 1rem;
}

.page-template-quote-page
  .qib-button-wrapper
  .quantity
  input.input-text.qty.text {
  border-top: 1px solid var(--bordercolor);
  border-bottom: 1px solid var(--bordercolor);
  border-right: 0;
  border-left: 0;
  min-width: unset;
}

.page-template-quote-page .qib-button-wrapper button.qib-button.minus {
  border-right: 0;
  font-weight: 700;
}

.page-template-quote-page .qib-button-wrapper button.qib-button.plus {
  border-left: 0;
  font-weight: 700;
}

/* .woocommerce.ywraq-wrapper table thead tr {
  padding: 8px 0;
} */

.woocommerce.ywraq-wrapper table thead tr th {
  font-family: var(--fontGraphikSB);
  font-size: 16px;
  line-height: 0;
  color: var(--headingcolor);
  margin: 0;
  font-weight: 600;
  padding: 12px 20px;
}

.woocommerce .cart input.button {
  width: unset;
}

.cart-page div.updt-btn {
  display: flex;
  justify-content: end;
  margin-top: 26px;
}

/* .cart-form,
.cart-page .yith-ywraq-mail-form-wrapper */
.cart-form,
.cart-page .yith-ywraq-mail-form-wrapper p {
  font-family: var(--fontGraphik);
  font-size: 16px;
  line-height: 24px;
  color: var(--headingcolor);
  margin: 0;
}

.cart-form,
.cart-page .yith-ywraq-mail-form-wrapper form {
  background: #f4f4f4;
  padding: 36px 32px !important;
  margin-top: 20px;
}

.cart-page .yith-ywraq-mail-form-wrapper form .woocommerce-error.woocommerce-message {
  display: none;
}

.cart-form .first-field {
  display: flex;
  justify-content: space-between;
}

.cart-form .first-field p {
  width: 48%;
}

.ywraq-form-table-wrapper .yith-ywraq-mail-form-wrapper h3 {
  font-size: 26px;
  margin-bottom: 20px;
}

.ywraq-form-table-wrapper .yith-ywraq-mail-form-wrapper p {
  font-family: var(--fontGraphik);
  font-size: 16px;
  line-height: 24px;
  color: var(--headingcolor);
  margin: 0;
  margin-top: 20px;
}

.cart-form p,
.cart-page form#yith-ywraq-default-form p {
  margin: 0 !important;
  margin-bottom: 25px !important;
}

.cart-form .first-field p label {
  font-family: var(--fontGraphik);
  font-size: 16px;
  line-height: 24px;
  color: var(--headingcolor);
  margin: 0;
  margin-bottom: 10px;
}

.cart-form .first-field p input {
  width: 100% !important;
  border: 0.5px solid var(--bordercolor);
  background-color: var(--whitecolor);
  padding: 16px 20px;
  font-family: var(--fontGraphik);
  font-size: 16px;
  line-height: 18px !important;
  color: var(--normalcolor);
  outline: none;
}

.cart-form p label,
.cart-page form#yith-ywraq-default-form p label {
  font-family: var(--fontGraphik);
  font-size: 16px;
  line-height: 24px;
  color: var(--headingcolor);
  margin: 0;
  margin-bottom: 10px;
}

.cart-form p input,
.cart-form p textarea,
.cart-page form#yith-ywraq-default-form p input,
.cart-page form#yith-ywraq-default-form p textarea,
.cart-page form#yith-ywraq-default-form p select {
  width: 100%;
  border: 0.5px solid var(--bordercolor);
  background-color: var(--whitecolor);
  padding: 14px 20px;
  font-family: var(--fontGraphik);
  font-size: 14px;
  line-height: 16px;
  color: var(--normalcolor);
  outline: none;
}

.cart-page form#yith-ywraq-default-form p input::placeholder,
.cart-page form#yith-ywraq-default-form p textarea::placeholder {
  font-family: var(--fontGraphik);
  font-size: 14px;
  line-height: 16px;
  color: var(--normalcolor) !important;
}

.cart-page form#yith-ywraq-default-form p textarea {
  min-height: 120px;
}

.cart-page form#yith-ywraq-default-form p select {
  appearance: none;
  background-image: url("../img/icons/select-dropdown.png");
  background-repeat: no-repeat;
  background-position: right 1rem top 50%;
  background-size: 0.6rem auto;
}

/* .cart-page form#yith-ywraq-default-form p#street_address_field {
  margin-bottom: 10px !important;
} */

.cart-page
  form#yith-ywraq-default-form
  p.form-row.form-row-wide.raq-send-request-row {
  margin-bottom: 0 !important;
}

.cart-page .yith-ywraq-mail-form-wrapper .form-row.form-row-wide {
  padding-top: 0;
}

.cart-page form#yith-ywraq-default-form p span.select2 {
  display: none;
}

.cart-form p input.button.raq-send-request,
.cart-page form#yith-ywraq-default-form p input[type="submit"] {
  display: inline-block;
  font-family: var(--fontGraphikMD);
  font-size: 16px;
  line-height: 24px;
  background-color: var(--primarycolor);
  color: var(--normalcolor);
  margin: 0;
  border: 1px solid var(--primarycolor);
  padding: 10px 90px;
  transition: 0.2s ease-in all;
  -webkit-transition: 0.2s ease-in all;
  -moz-transition: 0.2s ease-in all;
  -ms-transition: 0.2s ease-in all;
  -o-transition: 0.2s ease-in all;
  width: unset;
  font-weight: 500;
}

.cart-form p input.button.raq-send-request:hover,
.cart-page form#yith-ywraq-default-form p input[type="submit"]:hover {
  /* background-color: var(--normalcolor); */
  color: var(--whitecolor);
  border: 1px solid var(--formBtnHover);
  background-color: var(--formBtnHover);
}

.woocommerce.ywraq-wrapper table thead tr th.product-image,
.woocommerce.ywraq-wrapper table thead tr th.product-code,
.woocommerce.ywraq-wrapper table thead tr th.product-quantity,
.woocommerce.ywraq-wrapper table tbody tr td.product-thumbnail,
.woocommerce.ywraq-wrapper table tbody tr td.product-code,
.woocommerce.ywraq-wrapper table tbody tr td.product-remove {
  text-align: center !important;
}

.woocommerce a.remove:hover {
  background-color: transparent;
}

.cart-page .woocommerce.ywraq-wrapper .ywraq-form-table-wrapper p {
  font-family: var(--fontGraphikMD);
  font-size: 16px;
  line-height: 24px;
  color: var(--normalcolor);
  margin: 0;
}

.cart-page .qib-button-wrapper div.quantity.wqpmb_quantity {
  width: 65px;
}

.cart-page .qib-button-wrapper div.quantity.wqpmb_quantity input {
  width: 100%;
  margin: 0 auto;
}

.cart-page .qib-button-wrapper .quantity input.input-text.qty.text {
  font-size: 14px !important;
}

.cart-page .qib-button-wrapper button.qib-button {
  vertical-align: middle;
  display: flex !important;
  justify-content: center !important;
  align-items: self-end !important;
  padding: 6px 6px 11px !important;
  width: 28px;
}

.cart-page .qib-button.qib-button-wrapper {
  width: 100%;
}

.cart-page .yith-ywraq-mail-form-wrapper {
  margin-top: 100px;
  /* padding: 0 !important; */
}

.cart-page .qib-button-wrapper .quantity input.input-text.qty.text {
  padding: 14px 5px 10px !important;
}

/* featured product */

.cart-page .yith-ywraq-mail-form-wrapper {
  display: flex;
  justify-content: space-between;
  width: 100%;
  padding-left: 0;
  padding-right: 0;
}

.cart-page .yith-ywraq-mail-form-wrapper .form-n-featured-product {
  width: 59%;
}

.cart-page .yith-ywraq-mail-form-wrapper .featured-product {
  width: 39%;
}

.cart-page .yith-ywraq-mail-form-wrapper .featured-product .inner-fpr {
  border: 1px solid var(--bordercolor);
  padding: 20px 10px;
}

.cart-page .yith-ywraq-mail-form-wrapper .featured-product .inner-fpr h4 {
  font-size: 20px;
  line-height: 28px;
  padding-bottom: 10px;
  margin-bottom: 15px;
  border-bottom: 1px solid var(--bordercolor);
}

.cart-page .yith-ywraq-mail-form-wrapper .featured-product ul.products {
  display: flex;
  flex-direction: column;
  width: 100%;
  margin-bottom: 0;
}

.cart-page .yith-ywraq-mail-form-wrapper .featured-product ul.products li {
  width: 100%;
  border-bottom: 1px solid var(--bordercolor);
  margin: 0;
  padding-bottom: 15px;
  margin-bottom: 15px;
  display: flex;
  align-items: center;
}

.cart-page .yith-ywraq-mail-form-wrapper .featured-product ul.products li:last-child {
  border-bottom: 0;
  padding-bottom: 0;
}

.cart-page .yith-ywraq-mail-form-wrapper .featured-product ul.products li a {
  display: flex;
  align-items: center;
  width: 78%;
}

.cart-page
  .yith-ywraq-mail-form-wrapper
  .featured-product
  ul.products
  li:last-child {
  margin-bottom: 0;
}

.cart-page
  .yith-ywraq-mail-form-wrapper
  .featured-product
  ul.products
  li
  a
  .itsnew,
.cart-page
  .yith-ywraq-mail-form-wrapper
  .featured-product
  ul.products
  li
  a
  .itspopular {
  display: none;
}

.cart-page
  .yith-ywraq-mail-form-wrapper
  .featured-product
  ul.products
  li
  a
  img {
  width: 78px;
  margin: 0;
  margin-right: 10px;
}

.cart-page
  .yith-ywraq-mail-form-wrapper
  .featured-product
  ul.products
  li
  a
  img.thumbnail-hover-img {
  display: none !important;
}

.cart-page
  .yith-ywraq-mail-form-wrapper
  .featured-product
  ul.products
  li
  .yith-wcqv-button {
  display: none !important;
}

.cart-page
  .yith-ywraq-mail-form-wrapper
  .featured-product
  ul.products
  li
  h5.woocommerce-loop-product__title {
  font-family: var(--fontGraphikMD);
  font-size: 12px;
  line-height: 20px;
  color: var(--normalcolor);
  margin: 0;
  padding: 0;
  /* width: 50%; */
  margin-right: 10px;
}

.cart-page
  .yith-ywraq-mail-form-wrapper
  .featured-product
  ul.products
  li
  p.sku-after-loop-title {
  font-family: var(--fontGraphikMD);
  font-size: 12px;
  line-height: 20px;
  /* color: var(--primarycolor); */
  color: #999;
  margin: 0;
  padding: 0;
  margin-right: 10px;
}

.cart-page
  .yith-ywraq-mail-form-wrapper
  .featured-product
  ul.products
  li
  a.button,
  .cart-page
  .yith-ywraq-mail-form-wrapper
  .featured-product
  ul.products
  li .yith_ywraq_add_item_browse_message a {
  width: unset;
  font-size: 12px !important;
  line-height: 20px;
  padding: 6px 10px !important;
  display: unset;
  width: auto;
  /*display: flex;
  */
  align-items: center;
  /*justify-content: center;
  */
  height: unset;
  /*width: unset;
  */
/*   max-height: 26px; */
	  word-break: unset !important;
  justify-content: center;
  align-items: center;
  display: flex;
  margin-top: 0;
  min-width: 101px;
  border-radius: 3px;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  -ms-border-radius: 3px;
  -o-border-radius: 3px;
  transition: 0.2s ease-in all;
  -webkit-transition: 0.2s ease-in all;
  -moz-transition: 0.2s ease-in all;
  -ms-transition: 0.2s ease-in all;
  -o-transition: 0.2s ease-in all;
	  margin-top: 0 !important;
}

.cart-page
  .yith-ywraq-mail-form-wrapper
  .featured-product
  ul.products
  li .yith_ywraq_add_item_response_message {
    display: none !important;
  }

.cart-page
  .yith-ywraq-mail-form-wrapper
  .featured-product
  ul.products
  li
  a.button:hover {
  background-color: var(--normalcolor) !important;
  color: var(--primarycolor) !important;
  border: 1px solid var(--normalcolor) !important;
}

.cart-page
  .yith-ywraq-mail-form-wrapper
  .featured-product
  ul.products
  li
  a
  span.onsale {
  display: none;
}

/* end */

.cart-page .woocommerce form .form-row .required {
  color: var(--headingcolor);
  font-weight: 400;
}

.product-remove a.yith-ywraq-item-remove.remove {
  margin-top: -10px;
}

.woocommerce.ywraq-wrapper .yith-ywraq-before-table {
  text-align: right;
  margin-top: 20px;
}

.woocommerce.ywraq-wrapper .yith-ywraq-before-table a {
  display: unset;
}

/* .page-template-quote-page .custom_message_div {
  display: none;
} */

/* .page-template-quote-page .custom_message_div .custom_pdf_div {
  display: none;
} */

@media (max-width: 991px) {
  .cart-page .yith-ywraq-mail-form-wrapper {
    flex-direction: column;
  }

  .cart-page .yith-ywraq-mail-form-wrapper .form-n-featured-product {
    width: 100%;
    margin-bottom: 40px;
  }

  .cart-page .yith-ywraq-mail-form-wrapper .featured-product {
    width: 100%;
  }
}

@media (max-width: 768px) {
  #yith-ywraq-form .product-quantity {
    display: flex;
    /* align-items: center; */
  }

  .cart-page .qib-button.qib-button-wrapper {
    display: flex;
    justify-content: end;
    align-items: center;
  }

  #yith-ywraq-form .product-remove {
    display: flex;
    width: 100%;
    justify-content: end;
    align-items: start;
  }

  #yith-ywraq-form .product-remove a {
    height: unset;
  }

  .woocommerce.ywraq-wrapper table thead tr th.product-image,
  .woocommerce.ywraq-wrapper table thead tr th.product-code,
  .woocommerce.ywraq-wrapper table thead tr th.product-quantity,
  .woocommerce.ywraq-wrapper table tbody tr td.product-code,
  .woocommerce.ywraq-wrapper table tbody tr td.product-remove {
    text-align: right !important;
  }

  .cart-page .qib-button.qib-button-wrapper {
    margin-right: 0 !important;
  }

  #yith-ywraq-form .product-thumbnail {
    display: block !important;
  }

  .woocommerce.ywraq-wrapper table tbody tr td.product-name a {
    margin: auto;
  }
}

@media (max-width: 768px) {
  .cart-page h1 {
    font-size: 20px;
    line-height: 28px;
  }

  .woocommerce.ywraq-wrapper {
    margin-top: 30px;
  }

  .cart-page table tbody tr td[data-title="Image"]::before,
  .cart-page table tbody tr td[data-title="Product"]::before {
    content: "" !important;
  }

  .cart-page table tbody tr td[data-title="Code"]::before,
  .cart-page table tbody tr td[data-title="Quantity"]::before {
    content: attr("data-title") ": " !important;
    padding-right: 30px;
    min-height: 30px;
  }

  .cart-page table tbody tr td[data-title="Code"]::before {
    padding-top: 4px;
  }

  .cart-page .qib-button.qib-button-wrapper {
    justify-content: end !important;
  }

  .cart-page table tbody tr td.product-remove::before,
  .woocommerce table.shop_table_responsive tr td.product-remove::before {
    content: attr("data-title") ": ";
    font-weight: 700;
  }

  .cart-page .yith-ywraq-mail-form-wrapper {
    width: 100%;
    padding: 0 !important;
    /* padding-right: calc(var(--bs-gutter-x) * 0.5) !important;
    padding-left: calc(var(--bs-gutter-x) * 0.5) !important; */
    margin-top: 60px;
  }

  .cart-form,
  .cart-page .yith-ywraq-mail-form-wrapper form {
    padding: 24px 16px !important;
  }

  .cart-form p input,
  .cart-form p textarea,
  .cart-page form#yith-ywraq-default-form p input,
  .cart-page form#yith-ywraq-default-form p textarea,
  .cart-page form#yith-ywraq-default-form p select {
    padding: 14px 14px;
    font-size: 14px;
    line-height: 16px;
  }

  .cart-form p,
  .cart-page form#yith-ywraq-default-form p#first_name_field,
  .cart-form p,
  .cart-page form#yith-ywraq-default-form p#last_name_field {
    width: 100%;
  }

  .cart-form p,
  .cart-page form#yith-ywraq-default-form p {
    margin-bottom: 20px !important;
  }

  .ywraq-form-table-wrapper .yith-ywraq-mail-form-wrapper h3 {
    font-size: 20px;
    line-height: 28px;
  }

  .cart-page table tbody tr td.product-thumbnail {
    text-align: center !important;
  }

  .cart-page table tbody tr td.product-name {
    text-align: center !important;
    border-top: none;
  }

  .cart-page table tbody tr td.product-name ul {
    list-style-type: none;
  }

  .cart-page table tbody tr td.product-code,
  .cart-page table tbody tr td.product-quantity {
    text-align: right !important;
    width: 100%;
    display: flex;
    justify-content: flex-end;
    align-items: center;
  }

  .cart-page table tbody tr td.product-quantity {
    border-top: none;
  }

  .woocommerce.ywraq-wrapper table tbody tr td.product-thumbnail a img {
    width: 150px;
  }

  .cart-page .qib-button.qib-button-wrapper {
    width: unset;
  }

  .cart-page table tbody tr.cart_item {
    position: relative;
  }

  .cart-page table tbody tr td.product-remove {
    position: absolute;
    top: 18px;
    right: 14px;
    border-top: 0;
    padding: 0 !important;
  }

  .cart-page table tbody tr td.product-thumbnail {
    padding-top: 50px !important;
  }

  .cart-page table.shop_table_responsive tr:nth-child(2n) td {
    background-color: transparent !important;
  }

  .woocommerce.ywraq-wrapper table {
    border: none;
  }

  .cart-page table.shop_table_responsive tr {
    border: 1px solid var(--bordercolor);
  }

  .cart-page table.shop_table_responsive tr:nth-child(2n) {
    margin: 15px 0;
  }

  .cart-form p input.button.raq-send-request,
  .cart-page form#yith-ywraq-default-form p input[type="submit"] {
    font-size: 16px;
    line-height: 20px;
    padding: 16px 30px;
  }

  .cart-page
    form#yith-ywraq-default-form
    p.form-row.form-row-wide.raq-send-request-row {
    display: flex;
  }

  .woocommerce.ywraq-wrapper {
    margin-bottom: 50px;
  }
}
